from typing import List
import shutil
import iolite as io


def parse_imnames_cp(imnames_cp: str):
    lines = io.read_text_lines(imnames_cp, expandvars=True, strip=True, skip_empty=True)
    image_names: List[str] = []
    for idx, line in enumerate(lines):
        if idx % 2 == 1 and line.startswith('aV'):
            image_names.append(line[2:])
    return sorted(image_names)


def filter_based_on_image_names(imnames_cp: str, bg_img_folder: str, output_folder: str):
    image_names = parse_imnames_cp(imnames_cp)
    bg_fd = io.folder(bg_img_folder, exists=True)
    out_fd = io.folder(output_folder, reset=True)
    for image_name in image_names:
        image_file = bg_fd / image_name
        if image_file.exists():
            shutil.copyfile(image_file, out_fd / image_name)
        else:
            print(image_name, 'not found')


def debug():
    image_names = parse_imnames_cp('$VKIT_DATA/vkit_sln/dataset_synthetext/bg_data/imnames.cp')
    assert image_names
